// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import * as React from 'react';
import { SVGProps } from 'react';

const IconDaenvDeclineChanges: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = (
  _props: SVGProps<SVGSVGElement>,
) => (
  <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g clip-path="url(#clip0_1971_9255)">
      <path
        d="M12 3C10.22 3 8.47991 3.52784 6.99987 4.51677C5.51983 5.50571 4.36628 6.91131 3.68509 8.55585C3.0039 10.2004 2.82567 12.01 3.17294 13.7558C3.5202 15.5016 4.37737 17.1053 5.63604 18.364C6.89472 19.6226 8.49836 20.4798 10.2442 20.8271C11.99 21.1743 13.7996 20.9961 15.4442 20.3149C17.0887 19.6337 18.4943 18.4802 19.4832 17.0001C20.4722 15.5201 21 13.78 21 12C21 9.61305 20.0518 7.32387 18.364 5.63604C16.6761 3.94821 14.387 3 12 3ZM16.1175 15.0525C16.2587 15.1927 16.3385 15.3833 16.3392 15.5823C16.3399 15.7814 16.2615 15.9725 16.1213 16.1137C15.981 16.255 15.7904 16.3347 15.5914 16.3354C15.3924 16.3361 15.2012 16.2577 15.06 16.1175L12.135 13.1925C12.1175 13.1744 12.0965 13.1599 12.0733 13.1501C12.0502 13.1402 12.0252 13.1351 12 13.1351C11.9748 13.1351 11.9499 13.1402 11.9267 13.1501C11.9035 13.1599 11.8825 13.1744 11.865 13.1925L8.94 16.1175C8.87007 16.1869 8.78715 16.2419 8.69598 16.2793C8.6048 16.3167 8.50715 16.3358 8.4086 16.3354C8.31006 16.3351 8.21254 16.3153 8.12163 16.2773C8.03072 16.2392 7.94819 16.1837 7.87875 16.1137C7.80932 16.0438 7.75433 15.9609 7.71694 15.8697C7.67955 15.7785 7.66049 15.6809 7.66084 15.5823C7.66119 15.4838 7.68094 15.3863 7.71897 15.2954C7.75701 15.2045 7.81257 15.1219 7.8825 15.0525L10.8075 12.135C10.8257 12.1175 10.8401 12.0965 10.8499 12.0733C10.8598 12.0501 10.8649 12.0252 10.8649 12C10.8649 11.9748 10.8598 11.9499 10.8499 11.9267C10.8401 11.9035 10.8257 11.8825 10.8075 11.865L7.8825 8.94C7.75963 8.79652 7.69543 8.61197 7.70272 8.42321C7.71001 8.23445 7.78826 8.0554 7.92183 7.92183C8.0554 7.78826 8.23446 7.71001 8.42321 7.70272C8.61197 7.69543 8.79653 7.75963 8.94 7.8825L11.865 10.8075C11.8825 10.8256 11.9035 10.8401 11.9267 10.8499C11.9499 10.8598 11.9748 10.8649 12 10.8649C12.0252 10.8649 12.0502 10.8598 12.0733 10.8499C12.0965 10.8401 12.1175 10.8256 12.135 10.8075L15.06 7.8825C15.2035 7.75963 15.388 7.69543 15.5768 7.70272C15.7656 7.71001 15.9446 7.78826 16.0782 7.92183C16.2117 8.0554 16.29 8.23445 16.2973 8.42321C16.3046 8.61197 16.2404 8.79652 16.1175 8.94L13.1925 11.865C13.1744 11.8825 13.1599 11.9035 13.1501 11.9267C13.1402 11.9499 13.1351 11.9748 13.1351 12C13.1351 12.0252 13.1402 12.0501 13.1501 12.0733C13.1599 12.0965 13.1744 12.1175 13.1925 12.135L16.1175 15.0525Z"
        fill="#AA0000"
      />
    </g>
    <defs>
      <clipPath id="clip0_1971_9255">
        <rect width="18" height="18" fill="white" transform="translate(3 3)" />
      </clipPath>
    </defs>
  </svg>
);

export default IconDaenvDeclineChanges;
